%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name XML_RSS

Name:           php-pear-XML-RSS
Version:        0.9.10
Release:        3%{?dist}
Summary:        RSS parser

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/XML_RSS
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-2.02
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) php-pear(XML_Parser) >= 1.0.1
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Parser for Resource Description Framework (RDF) Site Summary (RSS)
documents.


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
install -pm 644 -c %{SOURCE1} LICENSE
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/XML/RSS.php


%changelog
* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.9.10-3
- Use correct version of PHP License

* Thu Nov 09 2006 Christopher Stone <chris.stone@gmail.com> 0.9.10-2
- Added license file to %%doc
- Added versioned requires

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 0.9.10-1
- Initial Release
